/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.core;

/**
 * 翻訳メモリ・ドライバーをあらわすインタフェース。
 */
public interface BentenTmDriver {
	/**
	 * 翻訳メモリ・ドライバーの名前を取得。
	 * 
	 * @return 翻訳メモリ・エンジン名。
	 */
	String getName();

	/**
	 * 翻訳メモリ・エンジンの取得。
	 * 
	 * @return 翻訳エンジンのインスタンス。
	 */
	BentenTmEngine getEngineInstance();
}
